<template lang="pug">
    v-card
        v-toolbar(card='', color='grey lighten-3')
            v-icon insert_comment
            v-toolbar-title Комментарии
        v-layout.comments-wrapper(row='')
            v-flex(xs12, md12, sm6='', offset-sm3='', offset-md0)
                v-card
                    v-list(three-line='')
                        draggable(v-model="comments", class="v-list v-list--three-line theme--light")
                            template(v-for='(item, index) in comments')                    
                                v-divider(:key='index', :inset='true')
                                comment-item(:comment='item', :index='index', @answered='answerCreated', @deleted='commentDeleted', :deletable= 'true')
                

</template>

<script>
import Vue from "vue";
import draggable from "vuedraggable";
import CommentItem from "@/components/CommentItem";
export default {
  components: {
    CommentItem,
    draggable
  },
  data() {
    return {
      comments: []
    };
  },

  methods: {
    getComments() {
      this.$axios.get("/comments.json").then(resp => {
        this.comments = resp.data;
      });
    },
    answerCreated({ index, data }) {
      // console.log(index, data);
      if (this.comments[index].answers) {
        Vue.set(this.comments[index], "answers", [
          ...this.comments[index].answers,
          data
        ]);
      } else {
        Vue.set(this.comments[index], "answers", [data]);
      }
    },
    commentDeleted({ index }) {
      this.comments.splice(index, 1);
    }
  },
  created() {
    this.getComments();
  }
};
</script>
